

/*
This is a UI file (.ui.qml) that is intended to be edited in Qt Design Studio only.
It is supposed to be strictly declarative and only uses a subset of QML. If you edit
this file manually, you might introduce QML code that is not supported by Qt Design Studio.
Check out https://doc.qt.io/qtcreator/creator-quick-ui-forms.html for details on .ui.qml files.
*/
import QtQuick
import QtQuick.Controls
import QtQuick3D
import QtQuick3D.Effects
import FresnelDemo

Rectangle {
    id: root

    width: Constants.width
    height: Constants.height

    color: Constants.backgroundColor

    View3D {
        id: view3D
        anchors.fill: parent

        environment: sceneEnvironment

        SceneEnvironment {
            id: sceneEnvironment
            backgroundMode: SceneEnvironment.SkyBox
            clearColor: "#111111"
            lightProbe: royal_esplanade_4k
            antialiasingMode: SceneEnvironment.MSAA
            antialiasingQuality: SceneEnvironment.High
        }

        Node {
            id: scene
            DirectionalLight {
                id: directionalLight
            }

            PerspectiveCamera {
                id: sceneCamera
                x: 92.669
                y: 66.981
                eulerRotation.z: -0
                eulerRotation.y: 21.00001
                eulerRotation.x: -19.50001
                z: 183.62183
            }

            Model {
                id: monkeyModel
                materials: monkeyMaterial
                source: "suzanne.mesh"
                scale.y: 100
                scale.z: 100
                scale.x: 100

                Row {
                    id: row
                    width: 200
                    height: 400
                }
            }
        }
    }

    Item {
        id: __materialLibrary__
        PrincipledMaterial {
            id: monkeyMaterial
            clearcoatFresnelBias: -0.1
            clearcoatFresnelScaleBiasEnabled: true
            clearcoatFresnelScale: 1.8
            clearcoatFresnelPower: 0.8
            clearcoatAmount: 1
            vertexColorsEnabled: false
            objectName: "Monkey Material"
            baseColor: "#ffee00"
        }

        Texture {
            id: royal_esplanade_4k
            source: "images/royal_esplanade_4k.hdr"
        }
    }
}
